/* 
Generic Styling, for Desktops/Laptops 
*/
table {
  width: 100%;
  border-collapse: collapse;
}

/* Zebra striping */
tr:nth-of-type(odd) {
  background: #eee;
}

th {
  background: #e9e9e9;
  color: #817e7e;
  font-weight: bold;
}

td,
th {
  padding: 6px;
  /* border: 1px solid #ccc; */
  text-align: center;
}

/****************** table additional style ************************/
td {
  background-color: #f9f4f4;
  color: gray;
}

.td-input {
  background-color: #f9f4f4;
  color: gray;
  text-align: center;
  margin: auto;
  border: 1px solid darkgray;
}

td,
th {
  padding: 11px;
  text-transform: uppercase;
}

/****************** table additional style end ************************/

@media only screen and (max-width: 760px),
(min-device-width: 768px) and (max-device-width: 1024px) {

  /* Force table to not be like tables anymore */
  table,
  thead,
  tbody,
  th,
  td,
  tr {
    display: block;
  }

  /* Hide table headers (but not display: none;, for accessibility) */
  thead tr {
    position: absolute;
    top: -9999px;
    left: -9999px;
  }

  tr {
    border: 1px solid #ccc;
  }

  td {
    /* Behave  like a "row" */
    border: none;
    border-bottom: 1px solid #eee;
    position: relative;
    padding-left: 50%;
    text-align: left;
  }

  .td-input {
    text-align: left;
  }

  th {
    text-align: left;
  }

  td:before {
    /* Now like a table header */
    position: absolute;
    /* Top/left values mimic padding */
    top: 6px;
    left: 6px;
    width: 45%;
    padding-right: 10px;
    white-space: nowrap;
  }

  /*
	Label the data
	*/
  td:nth-of-type(1):before {
    content: "Host";
  }

  td:nth-of-type(2):before {
    content: "Port";
  }

  td:nth-of-type(3):before {
    content: "Name";
  }

  td:nth-of-type(4):before {
    content: "User";
  }

  td:nth-of-type(5):before {
    content: "Pass";
  }

  td:nth-of-type(6):before {
    content: "Status";
  }

  td:nth-of-type(7):before {
    content: "Check";
  }

  td:nth-of-type(8):before {
    content: "Update";
  }

  td:nth-of-type(9):before {
    content: "Delete";
  }
}

/******************************************/

.sections {
  padding: 1em;
  /* background-color: whitesmoke; */
  border-radius: 12px;
  margin-top: 2em;
}

.box-shadow {
  box-shadow: 0 4px 10px 0 rgb(0 0 0 / 20%), 0 4px 20px 0 rgb(0 0 0 / 19%);
}

h3 {
  text-transform: uppercase;
  margin-top: 2em;
  color: #656566;
  margin-bottom: 2em;
}

.flex-group {
  display: flex;
  flex-direction: column;
}

.form-row {
  display: flex;
  flex-direction: column;
}

.form-col {
  width: 100%;
}

input {
  width: 100%;
  margin-top: 0.5em;
  margin-bottom: 2em;
  padding: 10px;
  border: none;
  background-color: #efefef;
  cursor: default;
  outline: none;
}

input:focus {
  background-color: #5574cb2b;
}

.form-row {
  width: 100%;
}

label {
  text-transform: capitalize;
  color: #5c5c5c;
  font-size: 17px;
}

input[type="submit"] {
  color: white;
  max-width: 150px;
  font-size: 17px;
  padding: 10px 10px 10px 10px;
  background-color: #173448;
  text-transform: capitalize;
  cursor: pointer;
}

button {
  background-color: transparent;
  border: none;
  padding: 7px;
  color: #173448;
  border-radius: 3px;
  cursor: pointer;
}

.red {
  color: red;
}

.green {
  color: green;
}